Carbon (JNA API)

com.sun.jna.platform.mac

## Interface Carbon

- All Superinterfaces:
    Library

      public interface Carbon
      extends Library

  Author: Denis Tulskiy Date: 7/25/11

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Carbon.EventHandlerProcPtr`
    `static class` | `Carbon.EventHotKeyID`
    `static class` | `Carbon.EventTypeSpec`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `cmdKey`
    `static int` | `controlKey`
    `static Carbon` | `INSTANCE`
    `static int` | `optionKey`
    `static int` | `shiftKey`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pointer` | `GetEventDispatcherTarget()` Obtains the event target reference for the standard toolbox dispatcher
    `int` | `GetEventParameter(Pointer inEvent, int inName, int inDesiredType, Pointer outActualType, int inBufferSize, java.nio.IntBuffer outActualSize, Carbon.EventHotKeyID outData)` Obtains a parameter from the specified event.
    `int` | `InstallEventHandler(Pointer inTarget, Carbon.EventHandlerProcPtr inHandler, int inNumTypes, Carbon.EventTypeSpec[] inList, Pointer inUserData, PointerByReference outRef)` Installs an event handler on a specified event target.
    `int` | `RegisterEventHotKey(int inHotKeyCode, int inHotKeyModifiers, Carbon.EventHotKeyID.ByValue inHotKeyID, Pointer inTarget, int inOptions, PointerByReference outRef)` Registers a global hot key.
    `int` | `RemoveEventHandler(Pointer inHandlerRef)` Removes the specified event handler
    `int` | `UnregisterEventHotKey(Pointer inHotKey)` Unregisters a global hot key.

- - ### Field Detail

    - #### INSTANCE

          static final Carbon INSTANCE

    - #### cmdKey

          static final int cmdKey

      See Also:
        Constant Field Values

    - #### shiftKey

          static final int shiftKey

      See Also:
        Constant Field Values

    - #### optionKey

          static final int optionKey

      See Also:
        Constant Field Values

    - #### controlKey

          static final int controlKey

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### GetEventDispatcherTarget

          Pointer GetEventDispatcherTarget()

      Obtains the event target reference for the standard toolbox dispatcher
      Returns:
        event dispatcher reference

    - #### InstallEventHandler

          int InstallEventHandler(Pointer inTarget,
                                  Carbon.EventHandlerProcPtr inHandler,
                                  int inNumTypes,
                                  Carbon.EventTypeSpec[] inList,
                                  Pointer inUserData,
                                  PointerByReference outRef)

      Installs an event handler on a specified event target.

    - #### RegisterEventHotKey

          int RegisterEventHotKey(int inHotKeyCode,
                                  int inHotKeyModifiers,
                                  Carbon.EventHotKeyID.ByValue inHotKeyID,
                                  Pointer inTarget,
                                  int inOptions,
                                  PointerByReference outRef)

      Registers a global hot key.

    - #### GetEventParameter

          int GetEventParameter(Pointer inEvent,
                                int inName,
                                int inDesiredType,
                                Pointer outActualType,
                                int inBufferSize,
                                java.nio.IntBuffer outActualSize,
                                Carbon.EventHotKeyID outData)

      Obtains a parameter from the specified event.

    - #### RemoveEventHandler

          int RemoveEventHandler(Pointer inHandlerRef)

      Removes the specified event handler

    - #### UnregisterEventHotKey

          int UnregisterEventHotKey(Pointer inHotKey)

      Unregisters a global hot key.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.